/* engine.h */

/* written by : Jason R. Wilson    2/21/93 */

/* provides the user interface with an interface to the radiosity engine */

void adapt(void);
/* does an adaptive mesh-generation pass */

void renderit(void);
/* render the scene */

void WireFrameFull(void);
/* outputs the full wireframe (including elements) */

void WireFrame(void);
/* outputs the coarse wireframe (only patches) */

void Faster(void);
     /* change MoveFactor so user moves faster */
     /* change TurnFactor so user turns faster */

void Slower(void);
     /* change MoveFactor so user moves slower */
     /* change TurnFactor so user turns faster */

void ChangeView(int dir);
/* changes the viewpoint for walkthrough */

void engine (char *SceneFileName);
/* renders the scene from the initial viewpoint */
