/*
 * CView.h
 *
 * Declare a subclass of the View class which implements
 * various user options and handles events such as button presses
 * written by : Jason R. Wilson    2/21/93 
 */

#import <appkit/View.h>

@interface CView:View
{
}
- clear:sender; /* clear the screen */
- wireframe:sender; /* draw the full wireframe */
- refresh:sender; /* render the scene (shaded) */
- forward:sender; /* move forward */
- backward:sender; /* move backward */
- turnleft:sender; /* turn to the left */
- turnright:sender; /* turn to the right */
- tiltup:sender; /* tilt head up */
- tiltdown:sender; /* tilt head down */
- movefaster:sender; /* move and turn faster */
- moveslower:sender; /* move and turn slower */
- outputPPM:sender; /* output view to a .ppm file */
- subdivide:sender; /* perform and adaptive subdivision pass */
@end
