/* mesh.h */

/* written by : Jason R. Wilson   2/21/93 */

/* provides routines for initial mesh-generation and 
    adaptive mesh-generation */

void initAdaptiveTol (double tol);
 /* initializes the adaptive tolerence factor */
void SubDivide (ObjectCell *Object,int NumVertices);
  /* subdivides an object */
void SubdivideObjects (ObjectCell *Object,int NumVertices,int NumPolys);
  /* recursively subdivide polygons with high gradients */
