/* misc.h */
/* written by : Jason R. Wilson */
/* 2/21/93 */

void IdentifyVertices (ObjectCell *Object);
/* this routine goes through all the vertices and associates a unique
   integer with each one (it also counts them and stores the result
		       in NoofVertices) */
int IdentifyPolys (ObjectCell *ObjectHead);
/* identifies and counts all of the polygons in the scene */
int IdentifyVerts (ObjectCell *ObjectHead);
/* identifies and counts all of the vertices in the scene */
void ComputeNormals (ObjectCell *Object);
/* computes the polygon and vertex normals for the input object */
void CullBackFaces (ObjectCell *ObjectHead,double Eye,Point VRP,Vector n);
/* marks backfacing polygons in the scene culled */

